Go to the latest version of this document.

# ``twisted`.`conch`.`insults`.`helper``

module documentation
(source)

Partial in-memory terminal emulator

Author
Jp Calderone

Class | `ExpectableBuffer` | Undocumented
Class | `TerminalBuffer` | An in-memory terminal emulator.
Exception | `ExpectationTimeout` | Undocumented
Constant | `BACKGROUND` | Undocumented
Constant | `FOREGROUND` | Undocumented
Variable | `BLACK` | Undocumented
Variable | `BLUE` | Undocumented
Variable | `CYAN` | Undocumented
Variable | `GREEN` | Undocumented
Variable | `MAGENTA` | Undocumented
Variable | `N_COLORS` | Undocumented
Variable | `RED` | Undocumented
Variable | `WHITE` | Undocumented
Variable | `YELLOW` | Undocumented
Class | `_FormattingState` | Represents the formatting state/attributes of a single character.

BACKGROUND: `int` = (source)

Undocumented

Value

    40

FOREGROUND: `int` = (source)

Undocumented

Value

    30

BLACK = (source)

Undocumented

BLUE = (source)

Undocumented

CYAN = (source)

Undocumented

GREEN = (source)

Undocumented

MAGENTA = (source)

Undocumented

N_COLORS = (source)

Undocumented

RED = (source)

Undocumented

WHITE = (source)

Undocumented

YELLOW = (source)

Undocumented